[Human Wizard Class Transfer]:
In order to become a Necromancer, the character must successfully complete three quests. The Trial of the Scholar can only be undertaken by a player of level 35 or above. This quest begins by meeting with Magister Mirien of Dion Castle Town. The Testimony of Trust can only be undertaken by a player of level 37 or above. This quest begins with meeting High Priest Hollint of Oren Castle Town. Finally, the Test of Witchcraft can be undertaken by a player of level 39 or above. This quest begins by meeting Orim of the Shadow near Hardin's Academy.
Return
Close Window